# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`mlocate`](#mlocate): mlocate class , install and configure mlocate

#### Private Classes

* `mlocate::config`: This class handles configuration of mlocate
* `mlocate::install`: This class handles installation of mlocate

## Classes

### <a name="mlocate"></a>`mlocate`

mlocate class , install and configure mlocate

#### Examples

##### Simple Case

```puppet

class{'mlocate':
  prunepaths   => ['/afs', '/mnt' ],
  prunefs      => ['afs', 'fuse'],
  prunenames   => ['.cache', '.git'],
  period       => weekly,
  force_update => true,
}
```

#### Parameters

The following parameters are available in the `mlocate` class:

* [`ensure`](#ensure)
* [`prunefs`](#prunefs)
* [`prune_bind_mounts`](#prune_bind_mounts)
* [`prunepaths`](#prunepaths)
* [`prunenames`](#prunenames)
* [`period`](#period)
* [`package_cron`](#package_cron)
* [`force_updatedb`](#force_updatedb)

##### <a name="ensure"></a>`ensure`

Data type: `Boolean`

Install mlocate or remove mlocate

Default value: ``true``

##### <a name="prunefs"></a>`prunefs`

Data type: `Array[String[1]]`

List of filesystem types to ignore

Default value: `[]`

##### <a name="prune_bind_mounts"></a>`prune_bind_mounts`

Data type: `Boolean`

Should bind mounts be searched?

Default value: ``true``

##### <a name="prunepaths"></a>`prunepaths`

Data type: `Array[Stdlib::Unixpath]`

List of file systems paths not to search

Default value: `[]`

##### <a name="prunenames"></a>`prunenames`

Data type: `Array[String[1]]`

List of directory or files names to match adn not include.

Default value: `[]`

##### <a name="period"></a>`period`

Data type: `Enum['infinite','daily','weekly','monthly']`

Should the update interval be daily, weekly, monthly or infinite.

Default value: `'daily'`

##### <a name="package_cron"></a>`package_cron`

Data type: `Optional[Stdlib::Unixpath]`

Path to a cron file entry to be purged.

Default value: ``undef``

##### <a name="force_updatedb"></a>`force_updatedb`

Data type: `Boolean`

Should puppet run updatedb if no database already exists.

Default value: ``false``

